Package org.pushingpixels.substance.swingx

# Class SubstanceErrorPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.jdesktop.swingx.plaf.ErrorPaneUI
org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI
org.pushingpixels.substance.swingx.SubstanceErrorPaneUI

public class SubstanceErrorPaneUI extends org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI
UI delegate for the `JXErrorPane` component.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.pushingpixels.substance.internal.animation.IconGlowTracker`
`iconGlowTracker`

### Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI

`CLASS_NAME, closeButton, copyToClipboardButton, copyToClipboardListener, detailButton, detailListener, details, detailsPanel, detailsScrollPane, errorMessage, errorPaneListener, errorScrollPane, iconLabel, pane, reportButton`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceErrorPaneUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected Icon`
`getDefaultErrorIcon()`
`protected Icon`
`getDefaultWarningIcon()`
`protected void`
`installComponents()`
`protected void`
`reinit()`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI

`calculatePreferredSize, configureDetailsButton, configureReportAction, createDetailPanelLayout, createErrorPaneLayout, getDetailsAsHTML, getDetailsHeight, getErrorDialog, getErrorFrame, getErrorInternalFrame, installDefaults, installListeners, installUI, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### iconGlowTracker

protected org.pushingpixels.substance.internal.animation.IconGlowTracker iconGlowTracker

## Constructor Details

### SubstanceErrorPaneUI

public SubstanceErrorPaneUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installComponents

protected void installComponents()

Overrides:
  `installComponents` in class `org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI`

### getDefaultErrorIcon

protected Icon getDefaultErrorIcon()

Overrides:
  `getDefaultErrorIcon` in class `org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI`

### getDefaultWarningIcon

protected Icon getDefaultWarningIcon()

Overrides:
  `getDefaultWarningIcon` in class `org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI`

### reinit

protected void reinit()

Overrides:
  `reinit` in class `org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI`